export default class Utils {
    static GetQueryString(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        var r = window.location.search.substr(1).match(reg);
        if (r != null) return unescape(r[2]);
        return null;
    }

    static addZero(num) {
        return num < 10 ? '0' + num : num;
    }
    static setTimeAgo(time, curTime) {
        const endTime = time / 1000;
        const timeNow = curTime / 1000;

        let d = endTime - timeNow;
        let d_days = this.addZero(parseInt(d / 86400));
        let d_hours = this.addZero(parseInt(d / 3600 % 24));
        let d_minutes = this.addZero(parseInt(d / 60 % 60));
        let d_seconds = this.addZero(parseInt(d % 60));

        return d_hours + ':' + d_minutes + ':' + d_seconds;
    }

}


// a = {
//     "body": "义方快乐学堂12个月VIP会员",
//     "out_trade_no": "497b828ec0cc448fb7ce03650d3930d9",
//     "product_code": "QUICK_WAP_WAY",
//     "subject": "义方快乐学堂12个月VIP会员",
//     "timeout_express": "30m",
//     "total_amount": "299"
// }